SUSE 5001 Published by

A python-Flask security update has been released for openSUSE Leap 15.5.



SUSE-SU-2023:2263-2: important: Security update for python-Flask


# Security update for python-Flask

Announcement ID: SUSE-SU-2023:2263-2
Rating: important
References:

* #1211246

Cross-References:

* CVE-2023-30861

CVSS scores:

* CVE-2023-30861 ( SUSE ): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
* CVE-2023-30861 ( NVD ): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N

Affected Products:

* openSUSE Leap 15.5

An update that solves one vulnerability can now be installed.

## Description:

This update for python-Flask fixes the following issues:

* CVE-2023-30861: Fixed a potential cookie confusion due to incorrect caching
(bsc#1211246).

## Patch Instructions:

To install this SUSE Important update use the SUSE recommended installation
methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

* openSUSE Leap 15.5
zypper in -t patch openSUSE-SLE-15.5-2023-2263=1

## Package List:

* openSUSE Leap 15.5 (noarch)
* python3-Flask-1.0.4-150400.3.3.1
* python3-Flask-doc-1.0.4-150400.3.3.1

## References:

* https://www.suse.com/security/cve/CVE-2023-30861.html
* https://bugzilla.suse.com/show_bug.cgi?id=1211246